Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class RegistryTelephoneParameters
    Inherits BaseObject

    Private _CustomersFrom As CustomersFrom
    Private _Controlling_INTERNET As Controlling
    Private _Controlling_PARKING As Controlling
    Private _Controlling_TELEPHON_80 As Controlling
    Private _Controlling_TELEPHON_20 As Controlling
    Private _Controlling_OTHER_DEFAULTVAT As Controlling
    Private _Controlling_OTHER_NOVAT As Controlling

    Private _VAT_DEFAULTVAT As VAT
    Private _VAT_NOVAT As VAT
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property Controlling_INTERNET As Controlling
        Get
            Return _Controlling_INTERNET
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_INTERNET", _Controlling_INTERNET, value)
        End Set
    End Property
    Property Controlling_PARKING As Controlling
        Get
            Return _Controlling_PARKING
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_PARKING", _Controlling_PARKING, value)
        End Set
    End Property
    Property Controlling_TELEPHON_80 As Controlling
        Get
            Return _Controlling_TELEPHON_80
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_TELEPHON_80", _Controlling_TELEPHON_80, value)
        End Set
    End Property
    Property Controlling_TELEPHON_20 As Controlling
        Get
            Return _Controlling_TELEPHON_20
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_TELEPHON_20", _Controlling_TELEPHON_20, value)
        End Set
    End Property
    Property Controlling_OTHER_DEFAULTVAT As Controlling
        Get
            Return _Controlling_OTHER_DEFAULTVAT
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_OTHER_DEFAULTVAT", _Controlling_OTHER_DEFAULTVAT, value)
        End Set
    End Property
    Property Controlling_OTHER_NOVAT As Controlling
        Get
            Return _Controlling_OTHER_NOVAT
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_OTHER_NOVAT", _Controlling_OTHER_NOVAT, value)
        End Set
    End Property

    Property VAT_DEFAULTVAT As VAT
        Get
            Return _VAT_DEFAULTVAT
        End Get
        Set(value As VAT)
            SetPropertyValue("VAT_DEFAULTVAT", _VAT_DEFAULTVAT, value)
        End Set
    End Property
    Property VAT_NOVAT As VAT
        Get
            Return _VAT_NOVAT
        End Get
        Set(value As VAT)
            SetPropertyValue("VAT_NOVAT", _VAT_NOVAT, value)
        End Set
    End Property

    
End Class
